ERROR: Installation process of del-5_2-hf1 failed

I installed DEL-5.2 into Ubuntu 10.04. A message says there are critical updates. I tell it to install them. This happens a second time. I also install them.

I go to the Package Manager and it says:
Package_Manager_EL Installed
revision_patch Installed

Everything else is Not installed

I try to install del-5_2-hf1 and I get the following error:

ERROR: Installation process of del-5_2-hf1 failed:

sh: patch: not found
ERROR: Cannot apply patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch
ERROR: Cannot uninstall patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch

Anybody seen this before? Any suggestions how I can get around this?

Thanks!

More info:
When I do the install by executing: /media/DigiEL_LiveDVD/DigiEL/DigiEL-5.2_installer.bin, the installer complains that it can’t write into /usr/local.

If I execute: sudo chmod -R 777 /usr/local, the install works.

Have others had this permission issue when installing DEL-5.2 into their own Linux, (Ubuntu 10.04 in my case)?

If so, what’s the recommended procedure?

Some messages from the del-5_2-hf1 update: It seems like it has the del_doc.patch file but later it can’t find it.

Creating destination directory /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches
Processing /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches
Processing /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch
All files succesfully extracted

Applying patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch …
sh: patch: not found
ERROR: Cannot apply patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch, starting process to undo changes.
sh: patch: not found
ERROR: Cannot uninstall patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch

ERROR: Installation process of del-5_2-hf1 failed:

sh: patch: not found
ERROR: Cannot apply patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch
ERROR: Cannot uninstall patch /usr/local/DigiEL-5.2/package_manager/temp/del-5_2-hf1/patches/del_doc.patch

It seems to be a permission issue itself.

Do you have DEL 5.6 also installed in same OS?

Digi recommends to use Digi 5.2 with Kubuntu 8.10.
ESP for 5.2 has been tested and verified on this OS.

And 10.04.1 is for DEL 5.6.

You may please ask Digi support (http://www.digi.com/support/eservice/login.jsp?p=true ) for 8.10 and try

Thanks Bob,
I just bought my ME-9210 development kit last week. I would hope I’m entitled to the latest software version. I’m starting a new design and I don’t want to begin locked into an OS that’s already a few years old.

I filed a support request. Hopefully they’ll update me to the latest development software.

Thanks for your help!

I’ll revive this old thread because i ran into the same problem a few days back and want to post a solution.

I’m using a different distribution and solved this by installing the missing component “patch”
just run

sudo apt-get update
sudo apt-get install patch

or use whatever packet manager you use to install patch.

During installation process my system shut down in half installation process, I tried more than 5 times but every time face same problem . Any help must be appreciated.

For which device are you asking?
Digi has an updated release of DEL.
ask http://www.digi.com/login?ReturnUrl=%2Fsupport%2Feservice%2F